/* This REXX script installs the PM123 objects on your WPS desktop. */

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs

say "PM123 Desktop Installation Utility"
say ""
say "Are you sure you want to create a PM123 folder with a PM123"
say "program object associated with MP2, MP3, M3U, PLS and LST files?"
say ""
say "(y or n)? "

key = SysGetKey('NOECHO')
parse upper var key key
if key <> 'Y' then call end

dir = directory()

say "Creating PM123 folder..."
if SysCreateObject("WPFolder", "PM123", "<WP_DESKTOP>", ,
   "OBJECTID=<PM123FOLDER>;", "REPLACE") = 0 Then
   call error

say "Creating PM123 program object..."
if SysCreateObject("WPProgram", "PM123", "<PM123FOLDER>", ,
   "PARAMETERS=-smooth;PROGTYPE=PM;EXENAME="||dir||"\PM123.EXE;OBJECTID=<PM123>;ICONFILE="||dir||"\PM123.EXE;STARTUPDIR="||dir||";ASSOCFILTER=*.MP3,*.MP2,*.M3U,*.LST,*.PLS;", "REPLACE") = 0 Then
   call error

say "Creating shadow for manual.html..."
if SysCreateObject("WPShadow", "manual.html", "<PM123FOLDER>", ,
   "OBJECTID=<PM123MANUAL>;SHADOWID="||dir||"\manual\manual.html;", "REPLACE") = 0 Then
   call error

say "Creating shadow for skins.html..."
if SysCreateObject("WPShadow", "skins.html", "<PM123FOLDER>", ,
   "OBJECTID=<PM123SKINSMANUAL>;SHADOWID="||dir||"\manual\skins.html;", "REPLACE") = 0 Then
   call error

say "Creating shadow for netscape.html..."
if SysCreateObject("WPShadow", "netscape.html", "<PM123FOLDER>", ,
   "OBJECTID=<PM123NETSCAPE>;SHADOWID="||dir||"\manual\netscape.html;", "REPLACE") = 0 Then
   call error

Say "Object creation was successful!"
call end

error:
Say "Object creation was NOT successful!"
call end

end:
Exit 0
